## InfGtkConnectionView

InfGtkConnectionView — A widget showing connection parameters

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | inf_gtk_connection_view_new ()
GtkWidget * | inf_gtk_connection_view_new_with_connection ()
void | inf_gtk_connection_view_set_connection ()

## Properties

InfXmppConnection * | connection | Read / Write

## Types and Values

struct | InfGtkConnectionView
struct | InfGtkConnectionViewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── InfGtkConnectionView

## Implemented Interfaces

InfGtkConnectionView implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <libinfgtk/inf-gtk-connection-view.h>

## Description

InfGtkConnectionView is a widget that shows parameters for a given connection such as the name of the remote host, its IP address, and encryption information.

## Functions

### inf_gtk_connection_view_new ()

    GtkWidget *
    inf_gtk_connection_view_new (void);

Creates a new InfGtkConnectionView. To show a connection, use `inf_gtk_connection_view_set_connection()` on the returned widget.

[constructor]

#### Returns

A new InfGtkConnectionView.

[transfer floating]

### inf_gtk_connection_view_new_with_connection ()

    GtkWidget *
    inf_gtk_connection_view_new_with_connection
                                   (InfXmppConnection *connection);

Creates a new InfGtkConnectionView showing the given connection. This is the same as creating a new connection view and calling `inf_gtk_connection_view_set_connection()` afterwards.

[constructor]

#### Parameters

connection | The connection to show. |

#### Returns

A new InfGtkConnectionView.

[transfer floating]

### inf_gtk_connection_view_set_connection ()

    void
    inf_gtk_connection_view_set_connection
                                   (InfGtkConnectionView *view,
                                    InfXmppConnection *connection);

Shows the given connection in `view` .

#### Parameters

view | A InfGtkConnectionView. |
connection | The connection to show. |

## Types and Values

### struct InfGtkConnectionView

    struct InfGtkConnectionView;

InfGtkConnectionView is an opaque data type. You should only access it via the public API functions.

### struct InfGtkConnectionViewClass

    struct InfGtkConnectionViewClass {
    };

This structure does not contain any public fields.

## Property Details

### The `“connection”` property

      “connection”               InfXmppConnection *

Connection for which to show parameters.

Owner: InfGtkConnectionView

Flags: Read / Write